Issue 20052 - Q-PCD Allow installation or modification of JRE via Tools/Options
Summary: Q-PCD Allow installation or modification of JRE via Tools/Options
Status: CLOSED FIXED
Alias: None
Product: General
Classification: Code
Component: code (show other issues)
Version: OOo 1.0.0
Hardware: Other Other OS
: P2 Trivial (vote)
Target Milestone: OOo 2.0
Assignee: thorsten.martens
QA Contact: issues@framework
URL:
Keywords:
Depends on: 27849
Blocks:
  Show dependency tree
 
Reported: 2003-09-25 13:42 UTC by christian.jansen
Modified: 2004-11-22 09:21 UTC (History)
2 users (show)

See Also:
Issue Type: FEATURE
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description christian.jansen 2003-09-25 13:42:01 UTC
Requirement:
JRE shall not have an own installation dialog and it shall be allowed to
install, modify or to change a JRE via Tools/Options.

Concept:
Due to the usage of Native Installers for Q, the JRE-Setup will be removed. JRE
will be delivered as Module and will be listed in the Module selection dialog of
the setup. Q will test if a JRE is already installed. If installed, but the
version lower than what Q requires, Q will install the JRE shiped on CD. If not
installed, Q will install JRE. If users want Q to use a JRE of their choice they
can point to the JRE folder or binary. This functionality will be available in
Tools/Options/External/Programs.
Comment 1 christian.jansen 2003-09-25 13:43:46 UTC
Accepted.
Comment 2 christian.jansen 2003-09-26 07:26:11 UTC
Additional Info:
Source
Users, EA1 feedback, Mossberg

Category
Installation

Customer Need/Problem
Not clear to user why asking for JRE, what the JRE is, what
functionality is not enabled with JRE and how to get the JRE to
install. Then if not installed JRE, not sure how to install later.
Note: This is also listed on the Installation PRD Chapter

Eng Owner
Christian Jansen / Kay Ramme

Functional Specification
-
Comment 3 lutz.hoeger 2003-10-23 07:43:54 UTC
added keyword Q-PCD
Comment 4 joachim.lingner 2004-04-15 14:22:28 UTC
.
Comment 5 joachim.lingner 2004-05-04 08:59:03 UTC
.
Comment 6 joachim.lingner 2004-05-21 12:12:59 UTC
.fixed. Specification is available at: 
http://specs.openoffice.org/appwide/java/java_options_dialog_spec.sxw

Comment 7 joachim.lingner 2004-05-21 12:13:50 UTC
.
Comment 8 joerg.skottke 2004-05-25 10:03:25 UTC
cc me.

TM: Testplan required / Will be part of f_opt.bas
Comment 9 joerg.skottke 2004-05-25 10:08:15 UTC
Dialog has HIDs. Good.
Comment 10 atr 2004-05-27 14:28:25 UTC
ATR: TM checked this issue on win and he run the smoketest. I do the same at
unix. Bug is verified.
Comment 11 joerg.skottke 2004-11-22 09:21:40 UTC
closing.